> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Total Supply of Ether 2

> Retrieves the current Ether supply, including circulation, ETH2 staking rewards, EIP-1559 burned fees, and total ETH withdrawn from the beacon chain.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": {
      "EthSupply": "122373866217800000000000000",
      "Eth2Staking": "2940327167090033000000000",
      "BurntFees": "4610942856337430575173814",
      "WithdrawnTotal": "7618584348954597000000000"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/ethsupply2.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Total Supply of Ether 2
  version: 2.0.0
  description: >-
    Retrieves the current Ether supply, including circulation, ETH2 staking
    rewards, EIP-1559 burned fees, and total ETH withdrawn from the beacon
    chain.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Total Supply of Ether 2
      description: >-
        Retrieves the current Ether supply, including circulation, ETH2 staking
        rewards, EIP-1559 burned fees, and total ETH withdrawn from the beacon
        chain.
      operationId: getEthsupply2
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to stats for this endpoint.
          schema:
            type: string
            default: stats
          example: stats
        - name: action
          in: query
          required: true
          description: Set to ethsupply2 for this endpoint.
          schema:
            type: string
            default: ethsupply2
          example: ethsupply2
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: object
                    properties:
                      EthSupply:
                        type: string
                        description: >-
                          Total supply of ether from block rewards, in wei. Use
                          the [unit
                          converter](https://etherscan.io/unitconverter) to
                          convert between units.
                      Eth2Staking:
                        type: string
                        description: >-
                          Total ether staked on the Beacon Chain, in wei. Use
                          the [unit
                          converter](https://etherscan.io/unitconverter) to
                          convert between units.
                      BurntFees:
                        type: string
                        description: >-
                          Total fees burnt via EIP-1559, in wei. Use the [unit
                          converter](https://etherscan.io/unitconverter) to
                          convert between units.
                      WithdrawnTotal:
                        type: string
                        description: >-
                          Total ether withdrawn from staking, in wei. Use the
                          [unit converter](https://etherscan.io/unitconverter)
                          to convert between units.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````